package nc.vo.sscivm.invoice;

package ..deTemp.1729290160603;

import nc.vo.annotation.MDEntityInfo;
import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class InvoiceLedgerInfoVO extends SuperVO {
  private String pk_invoice_ledger;
  
  private String arrival_ticket_state;
  
  private String invoice_auth_type;
  
  private String cost_center;
  
  private String the_seller;
  
  private String source_type;
  
  private String source_billno;
  
  private String buyer_taxno;
  
  private String invoice_type;
  
  private String invoice_code;
  
  private String invoice_number;
  
  private UFDouble tax;
  
  private UFDouble tax_exclusive;
  
  private UFDouble total_price_with_tax;
  
  private String voucher_no;
  
  private UFDate deductible_date;
  
  private String period;
  
  private String batch_no;
  
  private UFDouble inv_vat;
  
  private String transfer_code;
  
  private String transfer_remark;
  
  private String auth_result_code;
  
  private String auth_result_describe;
  
  private String pk_group;
  
  private String pk_org;
  
  private String def4;
  
  private String def5;
  
  private String def6;
  
  private String def7;
  
  private String def8;
  
  private String def9;
  
  private String def10;
  
  private UFDate invoice_date;
  
  private String auth_apply;
  
  private String itf_parent_pk;
  
  private String nc_source_type;
  
  private String nc_source_billno;
  
  private String pk_org_v;
  
  private String code;
  
  private String name;
  
  private UFDateTime maketime;
  
  private UFDateTime lastmaketime;
  
  private String rowno;
  
  private String creator;
  
  private UFDateTime creationtime;
  
  private String modifier;
  
  private UFDateTime modifiedtime;
  
  private String busitype;
  
  private String billmaker;
  
  private String approver;
  
  private Integer approvestatus;
  
  private String approvenote;
  
  private UFDateTime approvedate;
  
  private String transtype;
  
  private String billtype;
  
  private String transtypepk;
  
  private String srcbilltype;
  
  private String srcbillid;
  
  private Integer emendenum;
  
  private String billversionpk;
  
  private String source_rowno;
  
  private String def1;
  
  private String def2;
  
  private String def3;
  
  private Integer dr;
  
  private UFDateTime ts;
  
  private String deductible_period;
  
  private UFBoolean trans_uploaded;
  
  private UFBoolean is_arrival_ticket;
  
  public static final String PK_INVOICE_LEDGER = "pk_invoice_ledger";
  
  public static final String ARRIVAL_TICKET_STATE = "arrival_ticket_state";
  
  public static final String INVOICE_AUTH_TYPE = "invoice_auth_type";
  
  public static final String COST_CENTER = "cost_center";
  
  public static final String THE_SELLER = "the_seller";
  
  public static final String SOURCE_TYPE = "source_type";
  
  public static final String SOURCE_BILLNO = "source_billno";
  
  public static final String BUYER_TAXNO = "buyer_taxno";
  
  public static final String INVOICE_TYPE = "invoice_type";
  
  public static final String INVOICE_CODE = "invoice_code";
  
  public static final String INVOICE_NUMBER = "invoice_number";
  
  public static final String TAX = "tax";
  
  public static final String TAX_EXCLUSIVE = "tax_exclusive";
  
  public static final String TOTAL_PRICE_WITH_TAX = "total_price_with_tax";
  
  public static final String VOUCHER_NO = "voucher_no";
  
  public static final String DEDUCTIBLE_DATE = "deductible_date";
  
  public static final String PERIOD = "period";
  
  public static final String BATCH_NO = "batch_no";
  
  public static final String INV_VAT = "inv_vat";
  
  public static final String TRANSFER_CODE = "transfer_code";
  
  public static final String TRANSFER_REMARK = "transfer_remark";
  
  public static final String AUTH_RESULT_CODE = "auth_result_code";
  
  public static final String AUTH_RESULT_DESCRIBE = "auth_result_describe";
  
  public static final String PK_GROUP = "pk_group";
  
  public static final String PK_ORG = "pk_org";
  
  public static final String DEF4 = "def4";
  
  public static final String DEF5 = "def5";
  
  public static final String DEF6 = "def6";
  
  public static final String DEF7 = "def7";
  
  public static final String DEF8 = "def8";
  
  public static final String DEF9 = "def9";
  
  public static final String DEF10 = "def10";
  
  public static final String INVOICE_DATE = "invoice_date";
  
  public static final String AUTH_APPLY = "auth_apply";
  
  public static final String ITF_PARENT_PK = "itf_parent_pk";
  
  public static final String NC_SOURCE_TYPE = "nc_source_type";
  
  public static final String NC_SOURCE_BILLNO = "nc_source_billno";
  
  public static final String PK_ORG_V = "pk_org_v";
  
  public static final String CODE = "code";
  
  public static final String NAME = "name";
  
  public static final String MAKETIME = "maketime";
  
  public static final String LASTMAKETIME = "lastmaketime";
  
  public static final String ROWNO = "rowno";
  
  public static final String CREATOR = "creator";
  
  public static final String CREATIONTIME = "creationtime";
  
  public static final String MODIFIER = "modifier";
  
  public static final String MODIFIEDTIME = "modifiedtime";
  
  public static final String BUSITYPE = "busitype";
  
  public static final String BILLMAKER = "billmaker";
  
  public static final String APPROVER = "approver";
  
  public static final String APPROVESTATUS = "approvestatus";
  
  public static final String APPROVENOTE = "approvenote";
  
  public static final String APPROVEDATE = "approvedate";
  
  public static final String TRANSTYPE = "transtype";
  
  public static final String BILLTYPE = "billtype";
  
  public static final String TRANSTYPEPK = "transtypepk";
  
  public static final String SRCBILLTYPE = "srcbilltype";
  
  public static final String SRCBILLID = "srcbillid";
  
  public static final String EMENDENUM = "emendenum";
  
  public static final String BILLVERSIONPK = "billversionpk";
  
  public static final String SOURCE_ROWNO = "source_rowno";
  
  public static final String DEF1 = "def1";
  
  public static final String DEF2 = "def2";
  
  public static final String DEF3 = "def3";
  
  public static final String DR = "dr";
  
  public static final String TS = "ts";
  
  public static final String DEDUCTIBLE_PERIOD = "deductible_period";
  
  public static final String TRANS_UPLOADED = "trans_uploaded";
  
  public static final String IS_ARRIVAL_TICKET = "is_arrival_ticket";
  
  public void setPk_invoice_ledger(String pk_invoice_ledger) {
    this.pk_invoice_ledger = pk_invoice_ledger;
  }
  
  public String getPk_invoice_ledger() {
    return this.pk_invoice_ledger;
  }
  
  public void setArrival_ticket_state(String arrival_ticket_state) {
    this.arrival_ticket_state = arrival_ticket_state;
  }
  
  public String getArrival_ticket_state() {
    return this.arrival_ticket_state;
  }
  
  public void setInvoice_auth_type(String invoice_auth_type) {
    this.invoice_auth_type = invoice_auth_type;
  }
  
  public String getInvoice_auth_type() {
    return this.invoice_auth_type;
  }
  
  public void setCost_center(String cost_center) {
    this.cost_center = cost_center;
  }
  
  public String getCost_center() {
    return this.cost_center;
  }
  
  public void setThe_seller(String the_seller) {
    this.the_seller = the_seller;
  }
  
  public String getThe_seller() {
    return this.the_seller;
  }
  
  public void setSource_type(String source_type) {
    this.source_type = source_type;
  }
  
  public String getSource_type() {
    return this.source_type;
  }
  
  public void setSource_billno(String source_billno) {
    this.source_billno = source_billno;
  }
  
  public String getSource_billno() {
    return this.source_billno;
  }
  
  public void setBuyer_taxno(String buyer_taxno) {
    this.buyer_taxno = buyer_taxno;
  }
  
  public String getBuyer_taxno() {
    return this.buyer_taxno;
  }
  
  public void setInvoice_type(String invoice_type) {
    this.invoice_type = invoice_type;
  }
  
  public String getInvoice_type() {
    return this.invoice_type;
  }
  
  public void setInvoice_code(String invoice_code) {
    this.invoice_code = invoice_code;
  }
  
  public String getInvoice_code() {
    return this.invoice_code;
  }
  
  public void setInvoice_number(String invoice_number) {
    this.invoice_number = invoice_number;
  }
  
  public String getInvoice_number() {
    return this.invoice_number;
  }
  
  public void setTax(UFDouble tax) {
    this.tax = tax;
  }
  
  public UFDouble getTax() {
    return this.tax;
  }
  
  public void setTax_exclusive(UFDouble tax_exclusive) {
    this.tax_exclusive = tax_exclusive;
  }
  
  public UFDouble getTax_exclusive() {
    return this.tax_exclusive;
  }
  
  public void setTotal_price_with_tax(UFDouble total_price_with_tax) {
    this.total_price_with_tax = total_price_with_tax;
  }
  
  public UFDouble getTotal_price_with_tax() {
    return this.total_price_with_tax;
  }
  
  public void setVoucher_no(String voucher_no) {
    this.voucher_no = voucher_no;
  }
  
  public String getVoucher_no() {
    return this.voucher_no;
  }
  
  public void setDeductible_date(UFDate deductible_date) {
    this.deductible_date = deductible_date;
  }
  
  public UFDate getDeductible_date() {
    return this.deductible_date;
  }
  
  public void setPeriod(String period) {
    this.period = period;
  }
  
  public String getPeriod() {
    return this.period;
  }
  
  public void setBatch_no(String batch_no) {
    this.batch_no = batch_no;
  }
  
  public String getBatch_no() {
    return this.batch_no;
  }
  
  public void setInv_vat(UFDouble inv_vat) {
    this.inv_vat = inv_vat;
  }
  
  public UFDouble getInv_vat() {
    return this.inv_vat;
  }
  
  public void setTransfer_code(String transfer_code) {
    this.transfer_code = transfer_code;
  }
  
  public String getTransfer_code() {
    return this.transfer_code;
  }
  
  public void setTransfer_remark(String transfer_remark) {
    this.transfer_remark = transfer_remark;
  }
  
  public String getTransfer_remark() {
    return this.transfer_remark;
  }
  
  public void setAuth_result_code(String auth_result_code) {
    this.auth_result_code = auth_result_code;
  }
  
  public String getAuth_result_code() {
    return this.auth_result_code;
  }
  
  public void setAuth_result_describe(String auth_result_describe) {
    this.auth_result_describe = auth_result_describe;
  }
  
  public String getAuth_result_describe() {
    return this.auth_result_describe;
  }
  
  public void setPk_group(String pk_group) {
    this.pk_group = pk_group;
  }
  
  public String getPk_group() {
    return this.pk_group;
  }
  
  public void setPk_org(String pk_org) {
    this.pk_org = pk_org;
  }
  
  public String getPk_org() {
    return this.pk_org;
  }
  
  public void setDef4(String def4) {
    this.def4 = def4;
  }
  
  public String getDef4() {
    return this.def4;
  }
  
  public void setDef5(String def5) {
    this.def5 = def5;
  }
  
  public String getDef5() {
    return this.def5;
  }
  
  public void setDef6(String def6) {
    this.def6 = def6;
  }
  
  public String getDef6() {
    return this.def6;
  }
  
  public void setDef7(String def7) {
    this.def7 = def7;
  }
  
  public String getDef7() {
    return this.def7;
  }
  
  public void setDef8(String def8) {
    this.def8 = def8;
  }
  
  public String getDef8() {
    return this.def8;
  }
  
  public void setDef9(String def9) {
    this.def9 = def9;
  }
  
  public String getDef9() {
    return this.def9;
  }
  
  public void setDef10(String def10) {
    this.def10 = def10;
  }
  
  public String getDef10() {
    return this.def10;
  }
  
  public void setInvoice_date(UFDate invoice_date) {
    this.invoice_date = invoice_date;
  }
  
  public UFDate getInvoice_date() {
    return this.invoice_date;
  }
  
  public void setAuth_apply(String auth_apply) {
    this.auth_apply = auth_apply;
  }
  
  public String getAuth_apply() {
    return this.auth_apply;
  }
  
  public void setItf_parent_pk(String itf_parent_pk) {
    this.itf_parent_pk = itf_parent_pk;
  }
  
  public String getItf_parent_pk() {
    return this.itf_parent_pk;
  }
  
  public void setNc_source_type(String nc_source_type) {
    this.nc_source_type = nc_source_type;
  }
  
  public String getNc_source_type() {
    return this.nc_source_type;
  }
  
  public void setNc_source_billno(String nc_source_billno) {
    this.nc_source_billno = nc_source_billno;
  }
  
  public String getNc_source_billno() {
    return this.nc_source_billno;
  }
  
  public void setPk_org_v(String pk_org_v) {
    this.pk_org_v = pk_org_v;
  }
  
  public String getPk_org_v() {
    return this.pk_org_v;
  }
  
  public void setCode(String code) {
    this.code = code;
  }
  
  public String getCode() {
    return this.code;
  }
  
  public void setName(String name) {
    this.name = name;
  }
  
  public String getName() {
    return this.name;
  }
  
  public void setMaketime(UFDateTime maketime) {
    this.maketime = maketime;
  }
  
  public UFDateTime getMaketime() {
    return this.maketime;
  }
  
  public void setLastmaketime(UFDateTime lastmaketime) {
    this.lastmaketime = lastmaketime;
  }
  
  public UFDateTime getLastmaketime() {
    return this.lastmaketime;
  }
  
  public void setRowno(String rowno) {
    this.rowno = rowno;
  }
  
  public String getRowno() {
    return this.rowno;
  }
  
  public void setCreator(String creator) {
    this.creator = creator;
  }
  
  public String getCreator() {
    return this.creator;
  }
  
  public void setCreationtime(UFDateTime creationtime) {
    this.creationtime = creationtime;
  }
  
  public UFDateTime getCreationtime() {
    return this.creationtime;
  }
  
  public void setModifier(String modifier) {
    this.modifier = modifier;
  }
  
  public String getModifier() {
    return this.modifier;
  }
  
  public void setModifiedtime(UFDateTime modifiedtime) {
    this.modifiedtime = modifiedtime;
  }
  
  public UFDateTime getModifiedtime() {
    return this.modifiedtime;
  }
  
  public void setBusitype(String busitype) {
    this.busitype = busitype;
  }
  
  public String getBusitype() {
    return this.busitype;
  }
  
  public void setBillmaker(String billmaker) {
    this.billmaker = billmaker;
  }
  
  public String getBillmaker() {
    return this.billmaker;
  }
  
  public void setApprover(String approver) {
    this.approver = approver;
  }
  
  public String getApprover() {
    return this.approver;
  }
  
  public void setApprovestatus(Integer approvestatus) {
    this.approvestatus = approvestatus;
  }
  
  public Integer getApprovestatus() {
    return this.approvestatus;
  }
  
  public void setApprovenote(String approvenote) {
    this.approvenote = approvenote;
  }
  
  public String getApprovenote() {
    return this.approvenote;
  }
  
  public void setApprovedate(UFDateTime approvedate) {
    this.approvedate = approvedate;
  }
  
  public UFDateTime getApprovedate() {
    return this.approvedate;
  }
  
  public void setTranstype(String transtype) {
    this.transtype = transtype;
  }
  
  public String getTranstype() {
    return this.transtype;
  }
  
  public void setBilltype(String billtype) {
    this.billtype = billtype;
  }
  
  public String getBilltype() {
    return this.billtype;
  }
  
  public void setTranstypepk(String transtypepk) {
    this.transtypepk = transtypepk;
  }
  
  public String getTranstypepk() {
    return this.transtypepk;
  }
  
  public void setSrcbilltype(String srcbilltype) {
    this.srcbilltype = srcbilltype;
  }
  
  public String getSrcbilltype() {
    return this.srcbilltype;
  }
  
  public void setSrcbillid(String srcbillid) {
    this.srcbillid = srcbillid;
  }
  
  public String getSrcbillid() {
    return this.srcbillid;
  }
  
  public void setEmendenum(Integer emendenum) {
    this.emendenum = emendenum;
  }
  
  public Integer getEmendenum() {
    return this.emendenum;
  }
  
  public void setBillversionpk(String billversionpk) {
    this.billversionpk = billversionpk;
  }
  
  public String getBillversionpk() {
    return this.billversionpk;
  }
  
  public void setSource_rowno(String source_rowno) {
    this.source_rowno = source_rowno;
  }
  
  public String getSource_rowno() {
    return this.source_rowno;
  }
  
  public void setDef1(String def1) {
    this.def1 = def1;
  }
  
  public String getDef1() {
    return this.def1;
  }
  
  public void setDef2(String def2) {
    this.def2 = def2;
  }
  
  public String getDef2() {
    return this.def2;
  }
  
  public void setDef3(String def3) {
    this.def3 = def3;
  }
  
  public String getDef3() {
    return this.def3;
  }
  
  public void setDr(Integer dr) {
    this.dr = dr;
  }
  
  public Integer getDr() {
    return this.dr;
  }
  
  public void setTs(UFDateTime ts) {
    this.ts = ts;
  }
  
  public UFDateTime getTs() {
    return this.ts;
  }
  
  public void setDeductible_period(String deductible_period) {
    this.deductible_period = deductible_period;
  }
  
  public String getDeductible_period() {
    return this.deductible_period;
  }
  
  public UFBoolean getTrans_uploaded() {
    return this.trans_uploaded;
  }
  
  public void setTrans_uploaded(UFBoolean newTrans_uploaded) {
    this.trans_uploaded = newTrans_uploaded;
  }
  
  public UFBoolean getIs_arrival_ticket() {
    return this.is_arrival_ticket;
  }
  
  public void setIs_arrival_ticket(UFBoolean newIs_arrival_ticket) {
    this.is_arrival_ticket = newIs_arrival_ticket;
  }
  
  public String getParentPKFieldName() {
    return null;
  }
  
  public String getPKFieldName() {
    return "pk_invoice_ledger";
  }
  
  public String getTableName() {
    return "sscivm_invoice_ledgerInfo";
  }
  
  public static String getDefaultTableName() {
    return "sscivm_invoice_ledgerInfo";
  }
  
  @MDEntityInfo(beanFullclassName = "nc.vo.sscivm.invoice.InvoiceLedgerInfoVO")
  public IVOMeta getMetaData() {
    return VOMetaFactory.getInstance().getVOMeta("sscivm.InvoiceLedgerInfo");
  }
}
